# norootforbuild


Name:		gimmix
Version:	0.5.7.1
Release:	1.pm.2.1
Summary:	A graphical music player daemon (MPD) client
License:	GPL
Group:		Productivity/Multimedia/Sound/Players
URL:		http://gimmix.berlios.de

Source0:	http://prdownload.berlios.de/%{name}/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gtk2-devel intltool libglade2-devel libmpd-devel libnxml-devel pkgconfig libtag-devel update-desktop-files


%description
Gimmix is a graphical music player daemon (MPD) client written in C using GTK+2.
It's very simple and easy to use, yet offers many features to make your audio experience a pleasant one.


%prep
%setup -q


%build
#autoreconf -fiv
%configure
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall

%find_lang %{name}
%suse_update_desktop_file -r %{name} AudioVideo Player


%clean
rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README ChangeLog AUTHORS NEWS TODO INSTALL
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/%{name}/%{name}_firstrun.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}_logo_small.png
%{_datadir}/pixmaps/%{name}_playlist.png
%{_datadir}/pixmaps/%{name}-album.png
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun Nov 22 2009 - Detlef Reichelt <detlef@links2linux.de>  0.5.7.1
- new upstream release <0.5.7.1>
  * New translation French (fr_FR). Thanks to Alois Halel
  * Applied a patch from Vincent Legout to make gimmix link against libx11
* Mon Nov 16 2009 - Detlef Reichelt <detlef@links2linux.de>  0.5.7
- new upstream release <0.5.7>
  * New Cover art provider (Freecovers.net)
  * Fix issues with the ID3 Tag Editor (Gentoo bug #264231)

* Fri Jan 07 2009 - Detlef Reichelt <detlef@links2linux.de>  0.5.6.1
- new upstream release <0.5.6.1>
  * Fix location of libmpd headers in gimmix.h [thanks to Qball]
  * Check for libmpd>=0.17.0 in configure script [thanks to Qball]
  * Set default cover when gimmix starts.
  * Gimmix requires libmpd version to be atleast 0.17.0 or higher
  * Fixed lots of crashes/lockups due to cover/lyrics plugins.
  * Tag editing support is now optional.
  * Revamped tag editor and now it also shows album cover.
  * Speed improvements and fixed some memory leaks.
  * Added Swedish translation (Thanks to Niklas Grahn)
* Mon Jan 05 2009 - Detlef Reichelt <detlef@links2linux.de>  <0.5.5>-<0.pm.1>
- new upstream release <0.5.5>
  * Bug #313023: Fix missing entries in POTFILES
  * Bug #313018: gimmix.desktop contains encoding key (which is deprecated)
  * Bug #307527: Fix missing prototypes in some headers (patch from Christoph Mende)
  * Added support for columns in Current playlist
  * Fixed a bug where newly fetched lyrics were sometimes stored at odd locations
  * LOTS of memory leaks fixed
  * Fixed some crashes due to cover/lyrics plugins
* Sat Dec 13 2008 - Detlef Reichelt <detlef@links2linux.de>  <0.5.3>-<0.pm.1>
- new upstream release <0.5.3>
  * Bug #293908: Segfaults when disabling coverart plugin
  * Bug #305662: Segfault with accents and long filename
  * Added support for manually setting cover images from files
  * Added support for connection through proxy servers
  * Fixed random crashes because of cover and lyrics plugins
* Thu Oct 23 2008 - Detlef Reichelt <detlef@links2linux.de>  <0.5.2>-<0.pm.1>
- new upstream release <0.5.2>
* Fri Oct 19 2007 - Detlef Reichelt <detlef@links2linux.de>  <0.4.2>-<0.pm.1>
- new upstream release <0.4.2>
    * Added Turkish translation (Thanks to Yavuz Selim Burgu)
    * Added some new features (Thanks to Asaf Karagila for the patches)
    * Replace song(s) function in library browser
    * Crop function in current playlist
    * Bugfix in play on add feature
    * Bug #99630: Missing mkinstalldirs file (Thanks to Avuton Olrich)
    * Bug #89991: Volume bar stays there even after gimmix is minimized (Thanks to Pyluyten)
    * Fixed a bug where the volume bar was detached from the main window when it was moved
    * Fixed a bug where the text as not rendered correctly in some languages.
      This even fixes a random crash when gimmix is run in a different locale other than english.
    * Other minor fixes
* Thu Jul 26 2007 - Detlef Reichelt <detlef@links2linux.de>  <0.4.1>-<0.pm.1>
- initial build for PackMan <0.4.1>
